// Copyright (c) 2000
//      Maurice Castro (maurice@serc.rmit.edu.au)
//      All rights reserved.
// 
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
// 
// 1. Redistributions of source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
// 2. Redistributions in binary form must reproduce the above copyright
//    notice, this list of conditions and the following disclaimer in the
//    documentation and/or other materials provided with the distribution.
// 
// This software is provided by the original author and contributors ``as
// is'' and any express or implied warranties, including, but not limited
// to, the implied warranties of merchantability and fitness for a
// particular purpose are disclaimed.  In no event shall the authors or
// contributors be liable for any direct, indirect, incidental, special,
// exemplary, or consequential damages (including, but not limited to,
// procurement of substitute goods or services; loss of use, data, or
// profits; or business interruption) however caused and on any theory of
// liability, whether in contract, strict liability, or tort (including
// negligence or otherwise) arising in any way out of the use of this
// software, even if advised of the possibility of such damage.
//
// $Id: About.java,v 1.6 2000/12/11 04:32:34 maurice Exp $

import java.awt.*;

class About extends Dialog
{
	About(Frame f)
	{
		super(f, true);
		setTitle("About");
		setLayout( new GridLayout (0,1) );
		add( new Label("Snaffle", Label.CENTER));
		add( new Label("v1.04 - 11 December 2000", Label.CENTER));
		add( new Label("Maurice Castro", Label.CENTER));
		add( new Label("maurice@serc.rmit.edu.au", Label.CENTER));
		Button b = new Button("Continue");
		add("South", b);
		pack();
	}

	synchronized public boolean action(Event e, Object arg)
	{
		notifyAll();
		dispose();
		return true;
	}
}
